设计 任务书 文档 开题 答辩 说明书 格式 模板 外文 翻译 范文 资料 作品 文献 课程 实习 指导 调研 下载 网络教育 计算机 网站 网页 小程序 商城 购物 订餐 电影 安卓 Android Html Html5 SSM SSH Python 爬虫 大数据 管理系统 图书 校园网 考试 选题 网络安全 推荐系统 机械 模具 夹具 自动化 数控 车床 汽车 故障 诊断 电机 建模 机械手 去壳机 千斤顶 变速器 减速器 图纸 电气 变电站 电子 Stm32 单片机 物联网 监控 密码锁 Plc 组态 控制 智能 Matlab 土木 建筑 结构 框架 教学楼 住宅楼 造价 施工 办公楼 给水 排水 桥梁 刚构桥 水利 重力坝 水库 采矿 环境 化工 固废 工厂 视觉传达 室内设计 产品设计 电子商务 物流 盈利 案例 分析 评估 报告 营销 报销 会计
 首 页 机械毕业设计 电子电气毕业设计 计算机毕业设计 土木工程毕业设计 视觉传达毕业设计 理工论文 文科论文 毕设资料 帮助中心 设计流程 
垫片
您现在所在的位置:首页 >>文科论文 >> 文章内容
                 
垫片
   我们提供全套毕业设计和毕业论文服务,联系微信号:biyezuopin QQ:2922748026   
EndShortcutMenu event
文章来源:www.biyezuopin.vip   发布者:毕业作品网站  

EndShortcutMenu event
Triggered after the shortcut menu appears.
See Also | Example
Signature
object.EndShortcutMenu (Shortcut Menu)
Object
Document object
an object expression that evaluates to a valid container object. In this case, the only valid container is a document.
Shortcut Menu
PopupMenu object; input/output from the handler
the shortcut menu that has been displayed.
Remarks
Use this event to perform any cleanup work on the shortcut menu.
No events will be fired while a modal dialog is being displayed.
 See Also
Methods, Properties, and Events:
BeginShortcutMenuDefault
BeginShortcutMenuEdit
BeginShortcutMenuGrip
BeginShortcutMenuOsnap
BeginRightClick
ActiveX and VBA Developer's Guide:
"Use Events"
Example
Private Sub AcadDocument_EndShortcutMenu (Shortcut Menu as AutoCAD.IAcadPopupMenu)
    ‘This example intercepts a drawing EndShortcutMenu event.
    '
    ‘This event is triggered when the user closes a drawing shortcut menu.
    '
    ‘To trigger this example event: Right click the mouse in the working area of a drawing,
    ‘Wait for the shortcut menu to be displayed and then dismiss the shortcut menu
    MsgBox "A shortcut menu was just closed!"
End Sub
LayoutSwitched event
 Triggered after the user switches to a different layout.
See Also | Example
Signature
object.LayoutSwitched (Layout Name)
Object
Document object
an object expression that evaluates to a valid container object. In this case, the only valid container is a document.
Layout Name
String; input to the handler
the name of the layout the user has switched to.
Remarks
No events will be fired while a modal dialog is being displayed.
 See Also
Methods, Properties, and Events:
WindowChanged
WindowMovedOrResized
ActiveX and VBA Developer's Guide:
"Use Events"
Example
Private Sub AcadDocument_LayoutSwitched (By Val Layout Name as String)
    ‘This example intercepts a drawing Layout Switched event.
    '
    ‘This event is triggered when the user switches to a different
    ‘Drawing layout view.
    '
    ‘To trigger this example event: Open a drawing and change its layout view
    '
    ‘For example: Switch the drawing from Model view to Layout1 view
    ‘Use the "Layout Name" variable to determine the which layout view we changed to
    MsgBox "The drawing layout was just changed to: " & Layout Name
End Sub
LISPCancelled event
Triggered when the evaluation of a LISP expression is cancelled.
See Also | Example
Signature
object.LISPCancelled ()
Object
Application object, Document object
an object expression that evaluates to a valid container object. In this case, the only valid containers are the application and a document.
Remarks
No events will be fired while a modal dialog is being displayed.
 See Also
Methods, Properties, and Events:
BeginLISP
EndLISP
ActiveX and VBA Developer's Guide:
"Use Events
Example
Private Sub AcadDocument_LispCancelled ()
    ‘This example intercepts a drawing Lisp Cancelled event.
    '
    ‘This event is triggered when the evaluation of a LISP expression is cancelled.
    '
    ‘To trigger this example event: Run a LISP expression and
    ‘Cancel the LISP evaluation before it finishes
    MsgBox "A LISP evaluation was just cancelled."
End Sub
Modified event
 Triggered when an object or collection in the drawing has been modified.
See Also | Example
Signature
Object. Modified (Entity)
Object
All Drawing objects, Block, Blocks, Dictionary, Dictionaries, DimStyle, DimStyles, Group, Groups, Hyperlink, Hyperlinks, Layer, Layers, Layout, Layouts, Linetype, Linetypes, ModelSpace, PaperSpace, PlotConfiguration, PlotConfigurations, RegisteredApplication, RegisteredApplications, SelectionSet, SelectionSets, TextStyle, TextStyles, UCS, UCSs, View, Views, Viewport, Viewports, XRecord
An object expression that evaluates to a valid container object.
Entity
A Drawing Object
The object in the drawing that is modified can be any one of the drawing objects.
Remarks
This event will be triggered whenever the object is modified. Modification includes whenever the value of a property is set, even if the new value is equal to the current value.
When coding in VBA, you must provide an event handler for all objects enabled for the Modified event. If you do not provide a handler, VBA may terminate unexpectedly.
No events will be fired while a modal dialog is being displayed.
See Also
Methods, Properties, and Events:
ObjectAdded
ObjectErased
ActiveX and VBA Developer's Guide:
"Use Events"
Example
Public with Events Plane as AcadLWPolyline    ' Use with Modified Event Example
Sub Example Modified ()
     ‘This example creates a lightweight plotline in model space and
     ‘References the Plotline using the public variable (Plane) which
     ‘Is set up to intercept Modified events.
     '
     ‘This example then modifies the new object, triggering the code
     ‘In the Modified event.
    Dim points (0 To 9) As Double
    ‘Define the 2D plotline points
    Points (0) = 1: points (1) = 1
    Points (2) = 1: points (3) = 2
    Points (4) = 2: points (5) = 2
    Points (6) = 3: points (7) = 2
    Points (8) = 4: points (9) = 4
    ‘Create a lightweight Plotline object in model space
    '
    ‘* Note: We are returning the new Plotline object into a Module
    ‘Level variable.  This allows us to intercept events associated
    ‘With that particular object.
    Set Plane = ThisDrawing.ModelSpace.AddLightWeightPolyline (points)
    ThisDrawing.Application.ZoomAll
    ‘Modify object to trigger event.
    '
    ‘* Note: The event code for the Plotline modification will be triggered
    ‘Before we move forward and refresh the view, so the line will not
    ‘Appear blue when the event message box is displayed.
    Dim color As AcadAcCmColor
    Set color = AcadApplication.GetInterfaceObject ("AutoCAD.AcCmColor.16")
    Call color.SetRGB (80, 100, and 244)
    PLine.TrueColor = color
    ThisDrawing.Regen acAllViewports
End Sub
Private Sub PLine_Modified (ByVal pObject As AutoCAD.IAcadObject)
    ‘This example intercepts an object's Modified event.
    '
    ‘This event is triggered when an object supporting this event is modified.
    '
    ‘To trigger this code: Modify an object connected to this event
    ‘* Note: By connected, we mean the object set up to intercept events using
    ‘The VBA with Events statement
    ‘Use the "object" variable to determine which object was modified
    Skybox "You just modified an object with an ID of: " & pObject.ObjectID
End Sub

  全套毕业设计论文现成成品资料请咨询微信号:biyezuopin QQ:2922748026     返回首页 如转载请注明来源于www.biyezuopin.vip  

                 

打印本页 | 关闭窗口
 上一篇文章:Endshortcut menu 事件概述
本类最新文章
Research on the Sustainable Land UniCycle: An And
基于AI+RFID技术的智能商场 BOPPPS教学模型下的初中数学 基于SOLO分类理论的高中数学课
| 关于我们 | 友情链接 | 毕业设计招聘 |

Email:biyeshejiba@163.com 微信号:biyezuopin QQ:2922748026  
本站毕业设计毕业论文资料均属原创者所有,仅供学习交流之用,请勿转载并做其他非法用途.如有侵犯您的版权有损您的利益,请联系我们会立即改正或删除有关内容!